Subject: [Sip] questions regarding AKAv2 implementation

From: [email-masked]
Date: Tue, 8 Jan 2008 15:33:00 +0530

Hi All,
        We have a question regarding the PRF function in AKAv2(IETF RFC 
4169). section 2.1 of the RFC 4169 states the following..

2.1. Password Generation

The client shall use base64 encoded [1] parameters PRF(RES||IK||CK,
"http-digest-akav2-password") as a "password" when calculating the
HTTP Digest response directive for AKAv2.

if the algorithm is AKAv2-MD5, then the PRF is HMAC_MD5.

RFC 2104 defines the HMAC_MD5 to be the following

/*
** Function: hmac_md5
*/
void
hmac_md5(text, text_len, key, key_len, digest)
unsigned char* text; /* pointer to data stream */
int text_len; /* length of data stream */
unsigned char* key; /* pointer to authentication key */
int key_len; /* length of authentication key */
caddr_t digest; /* caller digest to be filled in */

Our query
=========
hmac_md5() function takes text , key as inputs. As we understand key 
corresponds to RES||IK||CK and text corresponds to 
"http-digest-akav2-password"...we would like to know whether our 
understanding is correct.

Raju

***********************  Aricent-Restricted   ***********************
"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip